import { v as m, q as p } from "./index-jYYVpIDL.js";
import { A as c } from "./AppCard-pSUVQRE0.js";
import { u } from "./useIsAppEnabled-Tvqt7uu5.js";
import l from "./EventTypeAppSettingsInterface-iuMEPev5.js";
const E = function({ eventType: e, app: t }) {
  var s;
  const { enabled: a, updateEnabled: n } = u(t), { disabled: r, getAppData: o, setAppData: d } = m();
  return /* @__PURE__ */ p.jsx(
    c,
    {
      app: t,
      switchOnClick: (i) => {
        n(i);
      },
      switchChecked: a,
      teamId: ((s = e.team) == null ? void 0 : s.id) || void 0,
      children: /* @__PURE__ */ p.jsx(
        l,
        {
          eventType: e,
          slug: t.slug,
          disabled: r,
          getAppData: o,
          setAppData: d
        }
      )
    }
  );
};
export {
  E as default
};
